aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-support/vte/vte.inc
diff options
context:
space:
mode:
authorJussi Kukkonen <jussi.kukkonen@intel.com>2016-04-26 15:19:48 +0300
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-06-15 17:52:23 +0100
commitdc21182ada418cf3917ae8319494d219462c5bfd (patch)
tree0083fcbd248c24d72b9093d7f825f116de213f06 /meta/recipes-support/vte/vte.inc
parentaafd8c4b6be008f3a23d7db79a0ccc080a90b0aa (diff)
downloadopenembedded-core-contrib-dc21182ada418cf3917ae8319494d219462c5bfd.tar.gz
openembedded-core-contrib-dc21182ada418cf3917ae8319494d219462c5bfd.tar.bz2
openembedded-core-contrib-dc21182ada418cf3917ae8319494d219462c5bfd.zip
vte: Upgrade to 0.44.1
* License change LGPL 2.0 -> LGPL 2.1+ * vte-termcap is no more * API break: current version seems to be parallel installable with old one, but I did not opt for that. * Add patch to avoid stack protection by default * Use libtool-cross: libtool adds "-nostdlib" when g++ is used, and this leads to a link failure on PIE builds: "undefined reference to __init_array_start". libtool-cross has a hack to avoid "-nostdlib" Signed-off-by: Jussi Kukkonen <jussi.kukkonen@intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
Diffstat (limited to 'meta/recipes-support/vte/vte.inc')
-rw-r--r--meta/recipes-support/vte/vte.inc15
1 files changed, 0 insertions, 15 deletions
diff --git a/meta/recipes-support/vte/vte.inc b/meta/recipes-support/vte/vte.inc
deleted file mode 100644
index 8565cc2ad6..0000000000
--- a/meta/recipes-support/vte/vte.inc
+++ /dev/null
@@ -1,15 +0,0 @@
-SUMMARY = "Virtual terminal emulator GTK+ widget library"
-BUGTRACKER = "https://bugzilla.gnome.org/buglist.cgi?product=vte"
-LICENSE = "LGPLv2.0"
-DEPENDS = " glib-2.0 gtk+ intltool-native ncurses"
-RDEPENDS_libvte = "vte-termcap"
-
-inherit gnome gtk-doc distro_features_check upstream-version-is-even gobject-introspection
-ANY_OF_DISTRO_FEATURES = "${GTK2DISTROFEATURES}"
-
-EXTRA_OECONF = "--disable-python"
-
-PACKAGES =+ "libvte vte-termcap"
-FILES_libvte = "${libdir}/*.so.* ${libexecdir}/gnome-pty-helper"
-FILES_vte-termcap = "${datadir}/vte/termcap-0.0"
-